python-configglue_1.1.2-0ubuntu3_all.deb


Advertisement

Description

python-configglue - Glues together optparse.OptionParser and ConfigParser.ConfigParser

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-configglue
Package version 1.1.2
Package release 0ubuntu3
Package architecture all
Package type deb
Installed size 277 B
Download size 37.09 KB
Official Mirror archive.ubuntu.com
Configglue is a library that glues together python's optparse.OptionParser
and ConfigParser.ConfigParser, so that the same options can be exported to a
configuration file and a commandline interface.
This is the Python 2 package.

Alternatives

Package Version Architecture Repository
python-configglue_1.1.2-0ubuntu3_all.deb 1.1.2 all Ubuntu Universe
python-configglue - - -

Requires

Name Value
python >= 2.7
python << 2.8
python-xdg -

Download

Type URL
Binary Package python-configglue_1.1.2-0ubuntu3_all.deb
Source Package python-configglue

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-configglue deb package:
    # sudo apt-get install python-configglue

Files

Path
/usr/lib/python2.7/dist-packages/configglue/__init__.py
/usr/lib/python2.7/dist-packages/configglue/_compat.py
/usr/lib/python2.7/dist-packages/configglue/glue.py
/usr/lib/python2.7/dist-packages/configglue/parser.py
/usr/lib/python2.7/dist-packages/configglue/schema.py
/usr/lib/python2.7/dist-packages/configglue-1.1.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/configglue-1.1.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/configglue-1.1.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/configglue-1.1.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/configglue-1.1.2.egg-info/zip-safe
/usr/lib/python2.7/dist-packages/configglue/app/__init__.py
/usr/lib/python2.7/dist-packages/configglue/app/base.py
/usr/lib/python2.7/dist-packages/configglue/app/plugin.py
/usr/lib/python2.7/dist-packages/configglue/contrib/__init__.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/__init__.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/devserver.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/django_jenkins.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/django_openid_auth.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/nexus.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/preflight.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/pystatsd.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/raven.py
/usr/lib/python2.7/dist-packages/configglue/contrib/schema/saml2idp.py
/usr/lib/python2.7/dist-packages/configglue/inischema/__init__.py
/usr/lib/python2.7/dist-packages/configglue/inischema/attributed.py
/usr/lib/python2.7/dist-packages/configglue/inischema/glue.py
/usr/lib/python2.7/dist-packages/configglue/inischema/parsers.py
/usr/lib/python2.7/dist-packages/configglue/inischema/typed.py
/usr/lib/python2.7/dist-packages/configglue/tests/__init__.py
/usr/lib/python2.7/dist-packages/configglue/tests/test_contrib_schema.py
/usr/lib/python2.7/dist-packages/configglue/tests/test_parser.py
/usr/lib/python2.7/dist-packages/configglue/tests/test_schema.py
/usr/lib/python2.7/dist-packages/configglue/tests/test_schemaconfig.py
/usr/lib/python2.7/dist-packages/configglue/tests/app/__init__.py
/usr/lib/python2.7/dist-packages/configglue/tests/app/test_base.py
/usr/lib/python2.7/dist-packages/configglue/tests/app/test_plugin.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/__init__.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/test_attributed.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/test_glue.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/test_glue2glue.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/test_parsers.py
/usr/lib/python2.7/dist-packages/configglue/tests/inischema/test_typed.py
/usr/share/doc/python-configglue/changelog.Debian.gz
/usr/share/doc/python-configglue/copyright

Changelog

2016-04-14 - Martin Pitt <martin.pitt@ubuntu.com>
python-configglue (1.1.2-0ubuntu3) xenial; urgency=medium
* Remove python3-configglue binary. It does not work with Python 3.5,
neither does the latest upstream version, and it has zero reverse
dependencies. (LP: #1504288)
2014-01-16 - Barry Warsaw <barry@ubuntu.com>
python-configglue (1.1.2-0ubuntu2) trusty; urgency=medium
* d/control: Build-Depend on python3-all.
2013-07-11 - Barry Warsaw <barry@ubuntu.com>
python-configglue (1.1.2-0ubuntu1) saucy; urgency=low
* New upstream release.
* Un-revert previous revert.
- debian/control: Remove Build-Dep on python-configparser.
2013-07-10 - Steve Langasek <steve.langasek@ubuntu.com>
python-configglue (1.1.1.is.really.1.0-0ubuntu1) saucy; urgency=low
* Revert to upstream version 1.0 to address bug #1198480 et al.
2013-07-08 - Barry Warsaw <barry@ubuntu.com>
python-configglue (1.1.1-0ubuntu1) saucy; urgency=low
* New upstream release.
- debian/patches/disable-lp1196754.patch: Bug was fixed upstream,
so this patch is no longer necessary.
2013-07-01 - Barry Warsaw <barry@ubuntu.com>
python-configglue (1.1.0-0ubuntu1) saucy; urgency=low
* New upstream release.
* Add Python 3 packaging.
- debian/compat: bump to 8
- debian/control:
+ Add required Python 2 and Python 3 Build-Depends
+ Add X-Python3-Version header
+ Standards-Version bumped to 3.9.4
+ Added python3-configglue binary package.
- debian/patches/disable-lp1196754.patch: Required due to test suite
failure when run in Python 3 under non-UTF-8 locales.
- debian/pycompat: Obsolete, removed.
- debian/python{,3}-configglue.install: Added
- debian/rules: Add rules to build and test for Python 3.
- debian/source/format: Added.
2011-12-31 - Matthias Klose <doko@ubuntu.com>
python-configglue (1.0-1build1) precise; urgency=low
* Rebuild to drop python2.6 dependencies.
2011-08-05 - Andrew Mitchell <ajmitch@debian.org>
python-configglue (1.0-1) unstable; urgency=low
* New upstream release
2011-07-19 - Andrew Mitchell <ajmitch@debian.org>
python-configglue (0.11.1-1) unstable; urgency=low
* New upstream release
* Switch to dh_python2 & debhelper 7 (Closes: #617000)
2011-01-19 - Andrew Mitchell <ajmitch@debian.org>
python-configglue (0.9pre1-1) experimental; urgency=low
* New upstream release

See Also

Package Description
python-configparser_3.3.0r2-2_all.deb backport of the enhanced config parser introduced in Python 3.2
python-configshell_1.6.1~g020d540-2_all.deb framework to create cli interfaces
python-congress_3.0.0+dfsg1-1_all.deb OpenStack Policy as a Service - Python libraries
python-congressclient-doc_1.2.3-2_all.deb client for the open policy framework for the cloud - doc
python-congressclient_1.2.3-2_all.deb client for the open policy framework for the cloud - Python 2.x
python-construct_2.5.2-0.1_all.deb powerful declarative parser (and builder) for binary data
python-contract_1.4-4_all.deb Programming by contract for Python
python-convoy_0.2.1+bzr39-1_all.deb WSGI app for loading multiple files in the same request
python-cookiecutter-doc_1.3.0-2_all.deb create projects from project templates (documentation)
python-cookiecutter_1.3.0-2_all.deb create projects from project templates (Python 2 module)
python-cookies_2.2.1-1_all.deb Python RFC 6265-compliant cookie parser and renderer
python-corepywrap_1.005-4build1_amd64.deb library that exports C++ mmCIF accessors to Python
python-couchdb_0.10-1.1_all.deb library for working with Apache CouchDB
python-couchdbkit_0.6.5-2_all.deb Trying to improve couchdb experience in Python
python-couleur_0.5.0-3_all.deb tool to play around with ANSI features in a unix terminal
Advertisement
Advertisement